//
//  MoodListingViewController.m
//  AppSettings
//
//  Created by Brian Moakley on 5/30/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "MoodListingViewController.h"
#import "MoodViewController.h"
#import "RWTMood.h"

@interface MoodListingViewController ()<UINavigationBarDelegate, UITableViewDataSource, UITableViewDelegate>;

@property (weak, nonatomic) IBOutlet UITableView * tableView;
@property (strong, nonatomic) NSMutableArray * moodList;
@property (strong, nonatomic) RWTMood * selectedMood;

@end

@implementation MoodListingViewController


-(void) prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"moodModal"])
    {
        if (!self.selectedMood)
        {
            self.selectedMood = [[RWTMood alloc] init];
        }
    }
}

-(IBAction) closeMoodController: (UIStoryboardSegue *) exitSegue
{
    
}

-(NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.moodList.count;
}

-(UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell * cell = [self.tableView dequeueReusableCellWithIdentifier:@"MoodCell" forIndexPath:indexPath];
    if (cell)
    {
        RWTMood * mood = self.moodList[indexPath.row];
        cell.textLabel.text = [NSString stringWithFormat:@"%@ %@ - %@", mood.firstName, mood.lastName, mood.dateRecorded];
    }
    return cell;
}

-(void) tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    self.selectedMood = self.moodList[indexPath.row];
    [self performSegueWithIdentifier:@"moodModal" sender:nil];
}

-(UIBarPosition) positionForBar:(id<UIBarPositioning>)bar
{
    return UIBarPositionTopAttached;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.tableView.dataSource = self;
    self.tableView.delegate = self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}


@end
